Summary:	Non-linear video editor
Summary(pl.UTF-8):	Nieliniowy edytor filmów
Name:		pitivi
Version:	0.98.1
Release:	1
License:	LGPL v2.1+
Group:		X11/Applications/Multimedia
Source0:	http://ftp.gnome.org/pub/GNOME/sources/pitivi/0.98/%{name}-%{version}.tar.xz
# Source0-md5:	16f6d18e45e317a0426193caddee1936
URL:		http://www.pitivi.org/
BuildRequires:	cairo-devel
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.30.0
BuildRequires:	gobject-introspection-devel >= 1.32.0
BuildRequires:	gstreamer-devel >= 1.10.2
BuildRequires:	gstreamer-plugins-base-devel >= 1.10.2
BuildRequires:	gstreamer-transcoder-devel >= 1.8.1
BuildRequires:	gtk+3-devel >= 3.10.0
BuildRequires:	intltool >= 0.35.0
BuildRequires:	itstool
BuildRequires:	pkgconfig
BuildRequires:	python3 >= 1:3.2
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-pycairo-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	tar >= 1:1.22
BuildRequires:	yelp-tools
BuildRequires:	xz
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	shared-mime-info
Requires:	gstreamer-audiosink >= 1.10.2
Requires:	gstreamer-editing-services >= 1.10.2
Requires:	gstreamer-plugins-good >= 1.10.2
Requires:	gstreamer-transcoder >= 1.8.1
Requires:	gstreamer-videosink >= 1.10.2
Requires:	gtk+3 >= 3.10.0
Requires:	hicolor-icon-theme
Requires:	python3-gstreamer >= 1.10.2
Requires:	python3-pycairo
Requires:	python3-pygobject3 >= 3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PiTiVi is a program for video editing based on the GStreamer.

%description -l pl.UTF-8
PiTiVi jest programem do edycji wideo używającym GStreamera.

%prep
%setup -q

%build
CC="%{__cc}" \
CFLAGS="%{rpmcflags} %{rpmcppflags}" \
LDFLAGS="%{rpmldflags}" \
meson build \
	--buildtype=plain \
	--prefix=%{_prefix} \
	--libdir=%{_libdir}

ninja -C build -v

%install
rm -rf $RPM_BUILD_ROOT

DESTDIR=$RPM_BUILD_ROOT \
ninja -C build install -v

# omitted by meson
install -d $RPM_BUILD_ROOT{%{_datadir}/mime/packages,%{_mandir}/man1}
cp -p docs/pitivi.1 $RPM_BUILD_ROOT%{_mandir}/man1
cp -p pitivi.xml $RPM_BUILD_ROOT%{_datadir}/mime/packages

# junk installed by meson
%{__rm} $RPM_BUILD_ROOT%{_libdir}/pitivi/python/pitivi/{configure.py.in,coptimizations/renderer.c}

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%update_mime_database
%update_desktop_database

%postun
%update_icon_cache hicolor
%update_mime_database
%update_desktop_database_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README RELEASE
%attr(755,root,root) %{_bindir}/pitivi
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/python
%dir %{_libdir}/%{name}/python/pitivi
%{_libdir}/%{name}/python/pitivi/*.py
%{_libdir}/%{name}/python/pitivi/__pycache__
%{_libdir}/%{name}/python/pitivi/dialogs
%dir %{_libdir}/%{name}/python/pitivi/timeline
%{_libdir}/%{name}/python/pitivi/timeline/*.py
%{_libdir}/%{name}/python/pitivi/timeline/__pycache__
%attr(755,root,root) %{_libdir}/%{name}/python/pitivi/timeline/renderer.so
%{_libdir}/%{name}/python/pitivi/undo
%{_libdir}/%{name}/python/pitivi/utils
%{_libdir}/%{name}/python/pitivi/viewer
%{_datadir}/%{name}
%{_datadir}/appdata/pitivi.appdata.xml
%{_datadir}/mime/packages/%{name}.xml
%{_desktopdir}/%{name}.desktop
%{_iconsdir}/hicolor/*x*/apps/pitivi.png
%{_mandir}/man1/pitivi.1*
%changelog
* Sat Jul 15 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pitivi.git;a=log;h=master

* Sat Jul 15 2017 Jakub Bogusz <qboosh@pld-linux.org> 215b525
- updated to 0.98.1

* Sun Jun 25 2017 Jakub Bogusz <qboosh@pld-linux.org> 636af54
- updated to 0.98
- build system has been switched to meson
- use system gst-transcoder

* Sun Jan 10 2016 Jakub Bogusz <qboosh@pld-linux.org> 9b8f249
- updated to 0.95 (for gstreamer 1.x/gtk+3/python3; 0.15.x left on pitivi-0.15 branch)
- removed outdated ignore-unknown-stream-types patch

* Sat Oct 31 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 35317da
- release 3 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> d4aee39
- updated gettext BR

* Sat Sep 21 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> fef5570
- rel 2; add pitivi-0.15.0-ignore-unknown-stream-types.patch from fc

* Fri May 04 2012 Artur Frysiak <artur@frysiak.net> 8e9bcaf
- up to 0.15.2

* Mon Mar 05 2012 Artur Frysiak <artur@frysiak.net> c7f07ab
- up to 0.15.1

* Wed Jan 18 2012 Caleb Maclennan <caleb@alerque.com> ce8afa1
- Up to 0.15.0

* Wed Jan 18 2012 Caleb Maclennan <caleb@alerque.com> 249b291
- Up to 0.14.91

* Sat Sep 10 2011 Jacek Konieczny <jajcus@pld-linux.org> 13114d2
- Version: 0.14.2
- R: python-pygtk-gtk >= 0.24

* Fri Jun 03 2011 Tomasz Pala <gotar@pld-linux.org> 1e11257
- package manpage

* Fri Jun 03 2011 Tomasz Pala <gotar@pld-linux.org> b218b8e
- upgraded to 0.14.0

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> bdc4fa0
- Requires(post,postun): gtk-update-icon-cache

* Sat Jan 22 2011 sparky <sparky@pld-linux.org> 13ca952
- removed bogous BuildRoot
- BR: python-modules, rpm-pythonprov

* Sat Nov 27 2010 chomar <chomar@pld-linux.org> 0b8b907
- update Requires: gstreamer-gnonlin to 0.10.16

* Sat Nov 27 2010 chomar <chomar@pld-linux.org> a0e393b
- add BuildRoot: rpm-pythonprov

* Fri Oct 22 2010 Caleb Maclennan <caleb@alerque.com> a99505d
- Up to 0.13.5

* Tue Sep 21 2010 Elan Ruusamäe <glen@pld-linux.org> fc0d2a3
- release 3

* Sat Sep 12 2009 Patryk Zawadzki <patrys@room-303.com> bbe4305
- require newer gstreamer elements
- rel 2

